%define api	1
%define major	1
%define libname	%mklibname dspy %{api} %{major}
%define devname	%mklibname dspy %{api} -d

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then ver = string.gsub(ver, "~.*", "");print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           d-spy
Version:        1.6.0
Release:        %mkrel 1
Summary:        A D-Bus explorer for GNOME
Group:		Graphical desktop/GNOME
License:        LGPLv3+
URL:            https://gitlab.gnome.org/GNOME/d-spy
Source0:        https://download.gnome.org/sources/d-spy/%{url_ver}/d-spy-%{tarball_version}.tar.xz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)

Provides:	dspy = %{version}-%{release}

%description
D-Spy is a simple tool to explore D-Bus connections.

It's like d-feet, but written in C and blisteringly fast.
Also comes with a library for IDE integration.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
Embed D-Spy into applications and IDEs.

%package -n	%{devname}
Summary:        Development files for %{name}
Group:		Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%autosetup -p1 -n d-spy-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc NEWS
%{_bindir}/d-spy
%{_datadir}/applications/org.gnome.dspy.desktop
%{_metainfodir}/org.gnome.dspy.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.dspy.gschema.xml
%{_iconsdir}/hicolor/*/apps/org.gnome.dspy*.svg

%files -n %{libname}
%license COPYING.lgpl3
%{_libdir}/libdspy-%{api}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/dspy-%{api}/
%{_libdir}/libdspy-%{api}.so
%{_libdir}/pkgconfig/dspy-%{api}.pc


%changelog
* Sat Jun 03 2023 daviddavid <daviddavid> 1.6.0-1.mga9
+ Revision: 1960710
- new version 1.6.0

* Tue Sep 20 2022 wally <wally> 1.4.0-1.mga9
+ Revision: 1890814
- imported package d-spy

